Bug 531339 - /sbin/installkernel isn't right for dracut
/sbin/installkernel isn't right for dracut
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-27 15:12 EDT by Bill Nottingham
Modified: 2014-03-16 23:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-11 10:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-10-27 15:12:12 EDT
Description of problem:

...
if [ -n "$cfgLoader" -a -x /sbin/new-kernel-pkg ]; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install $KERNEL_VERSION
        /sbin/new-kernel-pkg --rpmposttrans $KERNEL_VERSION
fi
...

I believe the --mkinitrd call needs changing for dracut. See the kernel spec for examples?

Version-Release number of selected component (if applicable):

grubby-7.0.8-1.fc12.x86_64

How reproducible:

100%
Comment 1 Adam Williamson 2009-10-30 13:44:10 EDT
Discussed at blocker bug meeting today. We don't see the impact of this as being serious enough to consider it a release blocker. Dropping to f12target. Jesse says he will accept a tag request to fix this in final if someone wants to do it, though.

Patch is http://fpaste.org/DvOD/ .

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Hans de Goede 2009-11-11 10:16:49 EST
This is fixed in grubby-7.0.9

Note You need to log in before you can comment on or make changes to this bug.